org.deidentifier.arx.test

## Class TestIllegalArguments

- java.lang.Object
- - org.deidentifier.arx.test.AbstractTest
  - - org.deidentifier.arx.test.TestIllegalArguments

    public class TestIllegalArguments
    extends AbstractTest

Test cases for illegal arguments.

Author:
  Fabian Prasser, Florian Kohlmayer

### Nested Class Summary

### Nested classes/interfaces inherited from class org.deidentifier.arx.test.AbstractTest

`AbstractTest.TestMetric`

### Constructor Summary

Constructors
Constructor and Description
`TestIllegalArguments()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `setUp()`
`void` `testEmptyDatasetWithAttributeDefinition()` Performs a test.
`void` `testEmptyDatasetWithoutAttributeDefinition()` Performs a test.
`void` `testEmptyDefinition()` Performs a test.
`void` `testEmptyHierarchy()` Performs a test.
`void` `testHistorySize()` Performs a test.
`void` `testInvalidHierarchies()` Performs a test.
`void` `testKRangeNegative()` Performs a test.
`void` `testKRangeTooLarge()` Performs a test.
`void` `testKRangeZero()` Performs a test.
`void` `testMaxOutliersEqualsOne()` Performs a test.
`void` `testMaxOutliersNegative()` Performs a test.
`void` `testMaxOutliersTooLarge()` Performs a test.
`void` `testMetric()` Performs a test.
`void` `testMissingHierarchyValue()` Performs a test.
`void` `testNullHierarchy()` Performs a test.
`void` `testSnapshotSizeNegative()` Performs a test.
`void` `testSnapshotSizeTooLarge()` Performs a test.
`void` `testSnapshotSizeZero()` Performs a test.
`void` `testWrongAttributeName()` Performs a test.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TestIllegalArguments

    public TestIllegalArguments()

### Method Detail

#### setUp

    public void setUp()

Overrides:
  `setUp` in class `AbstractTest`

#### testEmptyDatasetWithAttributeDefinition

    public void testEmptyDatasetWithAttributeDefinition()
                                                 throws java.io.IOException

Performs a test.

Throws:
  `java.io.IOException`

#### testEmptyDatasetWithoutAttributeDefinition

    public void testEmptyDatasetWithoutAttributeDefinition()
                                                    throws java.io.IOException

Performs a test.

Throws:
  `java.io.IOException`

#### testEmptyDefinition

    public void testEmptyDefinition()
                             throws java.io.IOException

Performs a test.

Throws:
  `java.io.IOException`

#### testEmptyHierarchy

    public void testEmptyHierarchy()
                            throws java.io.IOException

Performs a test.

Throws:
  `java.io.IOException`

#### testHistorySize

    public void testHistorySize()

Performs a test.

#### testInvalidHierarchies

    public void testInvalidHierarchies()
                                throws java.io.IOException

Performs a test.

Throws:
  `java.io.IOException`

#### testKRangeNegative

    public void testKRangeNegative()
                            throws java.io.IOException

Performs a test.

Throws:
  `java.io.IOException`

#### testKRangeTooLarge

    public void testKRangeTooLarge()
                            throws java.io.IOException

Performs a test.

Throws:
  `java.io.IOException`

#### testKRangeZero

    public void testKRangeZero()
                        throws java.io.IOException

Performs a test.

Throws:
  `java.io.IOException`

#### testMaxOutliersEqualsOne

    public void testMaxOutliersEqualsOne()
                                  throws java.io.IOException

Performs a test.

Throws:
  `java.io.IOException`

#### testMaxOutliersNegative

    public void testMaxOutliersNegative()
                                 throws java.io.IOException

Performs a test.

Throws:
  `java.io.IOException`

#### testMaxOutliersTooLarge

    public void testMaxOutliersTooLarge()
                                 throws java.io.IOException

Performs a test.

Throws:
  `java.io.IOException`

#### testMetric

    public void testMetric()

Performs a test.

#### testMissingHierarchyValue

    public void testMissingHierarchyValue()
                                   throws java.io.IOException

Performs a test.

Throws:
  `java.io.IOException`

#### testNullHierarchy

    public void testNullHierarchy()
                           throws java.io.IOException

Performs a test.

Throws:
  `java.io.IOException`

#### testSnapshotSizeNegative

    public void testSnapshotSizeNegative()

Performs a test.

#### testSnapshotSizeTooLarge

    public void testSnapshotSizeTooLarge()

Performs a test.

#### testSnapshotSizeZero

    public void testSnapshotSizeZero()

Performs a test.

#### testWrongAttributeName

    public void testWrongAttributeName()
                                throws java.io.IOException

Performs a test.

Throws:
  `java.io.IOException`